const WarmMessageGenerator = (name) => {
  const messages = [
    '每天微笑，阳光会更灿烂，{name}加油！',
    '用心感受生活的美好，{name}，今天也要快乐哦！',
    '坚持自己，你是最棒的，{name}！',
    '愿每个瞬间都充满温馨，{name}，加油！',
    '友善的举止传递好心情，{name}，保持开心！',
    '在每个小小的喜悦中，{name}，都能找到满满的幸福。',
    '心怀感激，幸福会更加靠近，{name}，加油！',
    '做最好的自己，{name}，你值得拥有最美好的生活。',
    '每一天都是新的开始，{name}，抓住机会追寻梦想。',
    '微笑是生活中最灿烂的颜色，{name}，请保持灿烂！',
    '阳光洒在心间，温暖不止，{name}，愿你永远温暖如初。',
    '快乐源于内心，{name}，愿你的内心充满无限快乐。',
    '每一份努力都不会白费，{name}，坚持就是胜利。',
    '发挥你的创造力，{name}，创造美好的未来。',
    '用善良去感染世界，{name}，世界会因你而更美好。',
    '勇敢面对挑战，{name}，你就是不可阻挡的力量。',
    '热爱生活，{name}，生活也会热爱你。',
    '别忘了微笑，{name}，因为你的笑容能够点亮整个世界。',
    '不论遇到什么，{name}，都要保持乐观的心态。',
    '时光荏苒，{name}，愿你的美好与年华齐飞。',
    '心怀希望，{name}，未来充满无限可能。'
  ]

  const getRandomMessage = () => {
    const randomIndex = Math.floor(Math.random() * messages.length)
    return messages[randomIndex].replace('{name}', name)
  }

  const generateMessage = () => {
    return getRandomMessage()
  }

  return {
    generateMessage
  }
}

export default WarmMessageGenerator
